net.sf.jasperreports.export

## Interface XlsExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ExporterConfiguration
  All Known Subinterfaces:
    JxlExporterConfiguration, JxlMetadataExporterConfiguration, OdsExporterConfiguration, XlsMetadataExporterConfiguration, XlsxExporterConfiguration
  All Known Implementing Classes:
    AbstractXlsExporterConfiguration, SimpleJxlExporterConfiguration, SimpleJxlMetadataExporterConfiguration, SimpleOdsExporterConfiguration, SimpleXlsExporterConfiguration, SimpleXlsMetadataExporterConfiguration, SimpleXlsxExporterConfiguration

      public interface XlsExporterConfiguration
      extends ExporterConfiguration

  Interface containing settings used by the Excel exporters.
  Version:
    $Id: XlsExporterConfiguration.java 6926 2014-02-25 15:17:20Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRXlsExporter`, `JRXlsxExporter`, `JROdsExporter`, `JRXlsMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CREATE_CUSTOM_PALETTE` Property whose value is used as default state of the `isCreateCustomPalette()` export configuration flag.
    `static java.lang.String` | `PROPERTY_WORKBOOK_TEMPLATE` Property that provides a default value for the `getWorkbookTemplate()` export configuration setting.
    `static java.lang.String` | `PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS` Property that provides a default value for the `isKeepWorkbookTemplateSheets()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWorkbookTemplate()` Setting that specifies the location of an existing workbook template.
    `java.lang.Boolean` | `isCreateCustomPalette()` Returns a boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.
    `java.lang.Boolean` | `isKeepWorkbookTemplateSheets()` Flag that specifies whether to keep the sheets of the existing template into generated document.

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_CREATE_CUSTOM_PALETTE

          static final java.lang.String PROPERTY_CREATE_CUSTOM_PALETTE

      Property whose value is used as default state of the `isCreateCustomPalette()` export configuration flag.

      This property is by default not set (`false`).
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_WORKBOOK_TEMPLATE

          static final java.lang.String PROPERTY_WORKBOOK_TEMPLATE

      Property that provides a default value for the `getWorkbookTemplate()` export configuration setting.
      Since:
        4.5.1
      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS

          static final java.lang.String PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS

      Property that provides a default value for the `isKeepWorkbookTemplateSheets()` export configuration flag.

      This property is used in conjunction with `PROPERTY_WORKBOOK_TEMPLATE`.

      Default value is `false`.

      Since:
        4.5.1
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isCreateCustomPalette

          java.lang.Boolean isCreateCustomPalette()

      Returns a boolean value specifying whether the standard color palette should be customized so that the XLS result uses the original report colors.

      The default state of this flag is given by the `net.sf.jasperreports.export.xls.create.custom.palette` property.

      The colors used in the result XLS are determined in the following manner:
      1. If this flag is not set, the nearest color from the standard XLS palette is chosen for a report color.
      2. If the flag is set, the nearest not yet modified color from the palette is chosen and modified to exactly match the report color. If all the colors from the palette are modified (the palette has a fixed size), the nearest color from the palette is chosen for further report colors.
      See Also:
        `PROPERTY_CREATE_CUSTOM_PALETTE`

    - #### getWorkbookTemplate

          java.lang.String getWorkbookTemplate()

      Setting that specifies the location of an existing workbook template. The content of an existing workbook document or template can be embedded into exported document if the template location is known. In this case the content of the template will be exported first and the content of the exported report will be appended to this one. Macros and other settings in the existing template will be also preserved in the generated document. Templates can be loaded from Excel template files (*.xlt) as well as from valid Excel documents (*.xls).

      This setting is used in Excel exporters based either on Apache POI APIs (`JRXlsExporter`) or on JExcelApi library (`JExcelApiExporter`). There's no similar property for the `JRXlsxExporter`.

      See Also:
        `PROPERTY_WORKBOOK_TEMPLATE`

    - #### isKeepWorkbookTemplateSheets

          java.lang.Boolean isKeepWorkbookTemplateSheets()

      Flag that specifies whether to keep the sheets of the existing template into generated document. Sometimes is important to embed in a generated document only macros and/or other global settings from an existing template, but without keeping the own sheets of the template document. If set to false, this property prevent the template sheets to be exported.

      This setting is used in conjunction with `getWorkbookTemplate()`.

      See Also:
        `PROPERTY_WORKBOOK_TEMPLATE_KEEP_SHEETS`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com